Metric Record Description

GET
/v1/analytics/records/{recordId}

This endpoint lists all available properties of a record to use for querying its data

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

recordId*string

Response Body

The metric record properties

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/analytics/records/{recordId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "ratings",
"description": "Conversation Ratings",
"filters": [
{
"filterAttribute": "agent_id",
"description": "Used to filter by the agent_id"
},
{
"filterAttribute": "queue_id",
"description": "Used to filter by the queue_id"
},
{
"filterAttribute": "channel",
"description": "Used to filter by the channel"
},
{
"filterAttribute": "initial_direction",
"description": "Used to filter by the initial_direction"
},
{
"filterAttribute": "tag_id",
"description": "Used to filter by the tag_id"
},
{
"filterAttribute": "contact_point",
"description": "Used to filter by the contact_point"
}
],
"relatedMetricIds": [
"csat"
],
"fieldsMetadata": [
{
"field": "conversation_id",
"description": "Conversation ID",
"nullable": false
},
{
"field": "agent_id",
"description": "The agent assigned to the conversation",
"nullable": true
},
{
"field": "queue_id",
"description": "The queue which the conversation was part of when the conversation was offered",
"nullable": true
}
]
}
}